- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_gridfs_file_t

# mongoc_gridfs_file_set_aliases()

## Synopsis

    void
    mongoc_gridfs_file_set_aliases (mongoc_gridfs_file_t *file, const bson_t *bson);

## Parameters

- `file`: A mongoc_gridfs_file_t.
- `bson`: A `bson_t` containing the aliases.

## Description

Sets the aliases for a gridfs file.

You need to call mongoc_gridfs_file_save() to persist this change.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.